%define piname	aisradar_pi
%define uname	AISradar_pi
%global ocpnlibscommit0 c1d82631756056437edc58235d9e1ff68b46ddf3

Name:		opencpn-ais-radar-plugin
Summary:	AIS radar view plugin for OpenCPN
Version:	1.4.19.0
Release:	%mkrel 2
License:	GPLv2
Group:		Geography
URL:		https://opencpn.org/OpenCPN/plugins/aisradarview.html
Source0:	https://github.com/rgleason/%{uname}/archive/v%{version}/%{uname}-%{version}.tar.gz
Source1:    https://github.com/OpenCPN/opencpn-libs/archive/%{ocpnlibscommit0}/opencpn-libs-%{ocpnlibscommit0}.tar.gz
Patch0:     opencpn-libs-c1d8263-tinyxml.patch
Patch1:     opencpn-libs-c1d8263-json.patch
Patch2:     opencpn-libs-c1d8263-ocpn_plugin.patch
Patch3:     aisradar-Plugin-1.4.19.0-Configure.patch


BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	git
BuildRequires:	wxgtku3.2-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(zlib)

Requires:		opencpn
Provides:		%{piname} = %{version}

%description
AIS Radar is a plugin that allows the display of AIS targets in the way ships
are displayed on a radar screen.

North up, course up displays.

Includes the "Anchor" branch from TransmitterDan, which shows a black ball on
all AIS Class A vessels that are anchored or moored.

%prep
%setup -a1 -n %{uname}-%{version}

%patch -P 0 -p1
%patch -P 1 -p1
%patch -P 2 -p1
%patch -P 3 -p1

mv  opencpn-libs-%{ocpnlibscommit0}/{.,}* opencpn-libs/

%build
%cmake

%cmake_build

%install
%cmake_install

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%find_lang opencpn-%{piname}

%files -f opencpn-%{piname}.lang
%{_libdir}/opencpn/lib%{piname}.so
%{_datadir}/opencpn/plugins/%{piname}/


%changelog
* Thu Apr 24 2025 philippedidier <philippedidier> 1.4.19.0-2.mga10
+ Revision: 2178563
- test with a patch to include cstdint

* Fri Jan 31 2025 philippedidier <philippedidier> 1.4.19.0-1.mga10
+ Revision: 2143934
- new version 1.4.19.0 based on last opencpn-libs

* Mon Jun 24 2024 philippedidier <philippedidier> 1.4.11.5-1.mga10
+ Revision: 2076378
- new version 1.4.11.5

* Wed Jan 10 2024 philippedidier <philippedidier> 1.4.10.0-1.mga10
+ Revision: 2029692
- new version 1.1.10.0

* Tue May 30 2023 philippedidier <philippedidier> 1.3.1-1.mga9
+ Revision: 1959936
- new version 1.3.1 built upon wxgtku 3.2

* Sun Jul 10 2022 philippedidier <philippedidier> 1.2.23.0-2.mga9
+ Revision: 1868285
- New version 1.2.23.0
- New version

* Sun Apr 03 2022 umeabot <umeabot> 1.2.10.0-2.mga9
+ Revision: 1842504
- Mageia 9 Mass Rebuild

* Thu Jul 22 2021 barjac <barjac> 1.2.10.0-1.mga9
+ Revision: 1737345
- set version limit on wxgtku BR
+ philippedidier <philippedidier>
- typo corrections
- new version 1.2.10.0

* Mon Jul 12 2021 barjac <barjac> 1.2.7.0-2.mga9
+ Revision: 1735751
- Build with wxgtku3.0 not 3.1

* Sun Jun 20 2021 barjac <barjac> 1.2.7.0-1.mga9
+ Revision: 1731480
- new version 1.2.7.0
- Use upstream tarball
- Improve description
- Fix some dir ownerships

* Fri Jan 01 2021 wally <wally> 1.2.6.0-2.mga8
+ Revision: 1667707
- rebuild for wxgtk pre 3.1.5 snapshot

* Wed Dec 09 2020 barjac <barjac> 1.2.6.0-1.mga8
+ Revision: 1655047
- new version 1.2.6.0
- patch to build with gtk3
- new files added

* Sun Aug 16 2020 wally <wally> 1.2.1-2.mga8
+ Revision: 1614348
- rebuild for new wxgtk 3.1.4

* Mon Jul 13 2020 barjac <barjac> 1.2.1-1.mga8
+ Revision: 1605719
- new version 1.2.1

* Tue Feb 18 2020 daviddavid <daviddavid> 1.0-9.mga8
+ Revision: 1539503
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Nov 12 2019 wally <wally> 1.0-8.mga8
+ Revision: 1459473
- rebuild for wxgtk 3.1.3

* Sat Jul 13 2019 wally <wally> 1.0-7.mga8
+ Revision: 1421012
- rebuild with gtk3 enabled wxgtk 3.1.2

* Sun Sep 23 2018 umeabot <umeabot> 1.0-6.mga7
+ Revision: 1299990
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 1.0-5.mga7
+ Revision: 1239494
- fix build on aarch64

* Sat Jun 03 2017 akien <akien> 1.0-4.mga6
+ Revision: 1106106
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 1.0-3.mga6
+ Revision: 1019826
- rebuild for wxgtk3.0 built with GTK2

* Tue Feb 16 2016 barjac <barjac> 1.0-2.mga6
+ Revision: 962305
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 1.0-1.mga6
+ Revision: 908762
- new package opencpn-ais-radar-plugin

